# Uses of Class
org.apache.lucene.spatial3d.geom.LinearDistance

Packages that use LinearDistance
Package
Description
org.apache.lucene.spatial3d.geom
Shapes implemented using 3D planar geometry.

- ## Uses of LinearDistance in org.apache.lucene.spatial3d.geom

  Fields in org.apache.lucene.spatial3d.geom declared as LinearDistance
  Modifier and Type
  Field
  Description
  `static final LinearDistance`
  LinearDistance.`INSTANCE`
  A convenient instance
  `static final LinearDistance`
  DistanceStyle.`LINEAR`
  Linear distance calculator